Dialing rules overview

Telephony API (TAPI) allows you to configure dialing rules for all telephony programs. If you run a TAPI-supported program (such as Phone Dialer) before configuring dialing, the program normally prompts you for the minimum information required for dialing. To completely configure dialing rules on a computer, use Phone and Modem Options in Control Panel, as described in this topic.

Dial locations

A dial location is the set of parameters that is used to analyze telephone numbers and determine the correct sequence of numbers to dial. You can create as many dial locations as you need for different dialing requirements.

A dial location can correspond to an actual geographic location, such as an office or hotel room, where you need to include codes for dialing outside of the company or building. If your work takes you to different cities, countries, or regions, you can create a dial location for each area, city, or country/region code.

A dial location can also be created for dialing rules that are not necessarily associated with a geographic location. For example, you can create different dialing rules for different company accounts, calling cards, or long distance services.

Dial location information includes:

  • Name
  • Country or region
  • Area (or city) code
  • Dialing rules
  • Area code rules
  • Calling card information

Naming and using dial locations

Dial locations can be named anything that is helpful for remembering them later. The default dial location is the dial location selected in the Phone and Modem Options dialog box. Many telephony programs, such as Phone Dialer or Fax, allow you to select a different dial location before dialing. When a telephony program dials a long distance number, it uses the dialing information provided by the selected dial location to complete the connection.

The available dial locations are listed on the Dialing Rules tab of Phone and Modem Options in Control Panel. On this tab, you can select the default dial location, create a new dial location, or edit any existing dial location. To create a new dial location, see To create a new location. If you want to edit an existing dial location, see To change dialing properties for a location.

General dial location rules

General dial location rules specify the name of a location, the country or region, and the local area code. They also enable you to access outside lines from a PBX for local and long distance calls, disable call waiting (so incoming calls do not interrupt connections), and specify either tone or pulse dialing.

The default rules for dialing local, long distance, and international calls are determined by the country or region that you have selected. Dialing rules specify the long distance operator and international prefix that is dialed before domestic long distance or international phone numbers.

Area code rules

Area code rules enable you to change the dialing patterns for calls to numbers in the same country or region, as described in To specify area code rules. The default area code rule for numbers in another area code often requires the program to dial the long distance operator, the area or city code, and then the phone number. For numbers in the same area code, the program dials only the subscriber's phone number. The default rules are shown in the following table.

Format and Example | For
LongDistanceOperator (AreaOrCityCode) Prefix-SubscriberNumber 1 (425) 555-0101 | Numbers in other area or city codes
Prefix-SubscriberNumber 555-0101 | Numbers in the same area or city code

Digits dialed in each of these categories may be different for different countries, regions, or locations.

Use area code rules to specify any of the following exceptions to the default rules:

Format and Example | For
(AreaOrCityCode) Prefix-SubscriberNumber (425) 555-0101 | Numbers in another area or city code.
(AreaOrCityCode) Prefix- SubscriberNumber (425) 555-0101 | Numbers in the same area or city code.
LongDistanceOperator Prefix- SubscriberNumber 1 555-0101 | Numbers in the same area or city code.
LongDistanceOperator (AreaOrCityCode) Prefix-SubscriberNumber 1 (425) 555-0101 | Numbers in the same area or city code.
LongDistanceOperator (AreaOrCityCode) Prefix-SubscriberNumber 01 (425) 555-0101 | Numbers in another city or area code, but the long distance operator is not the default for the country or region.

If you use a different long distance operator than the country/region default for all area codes, it is much easier to use a calling card for the dial location instead of creating an area code rule for every area or city code that you dial. For more information, see Calling cards.

Specifying more than one rule for an area code

When different prefixes in an area code are dialed differently, you can specify more than one rule for the area code. Area code rules are applied from top to bottom in the list. If two rules apply to a particular prefix in an area code, the last rule in the list determines the dialing pattern for that prefix.

When you create a new area code rule, it is added to the bottom of the list. To apply multiple rules correctly then, create area code rules in this order:

  1. Any default rule that should apply to all unspecified prefixes. (In this case, use the Include all the prefixes within this area code option). This rule should appear at the top of the list.
  2. Area code rules that list specific prefixes. (Use the Include only the prefixes in the list below option).

Most prefixes in an area code follow the default dialing patterns shown here:

Dial | For
1 (AreaOrCityCode) Prefix-SubscriberNumber | Numbers in another area or city code.
Prefix-SubscriberNumber | Numbers in the same area or city code.

When most prefixes in an area code do not follow the default dialing patterns, create one rule to specify the new default dialing pattern for the area code and create another rule to specify the few exceptions. This is easier than just creating one area code rule that lists the bulk of prefixes for an area code.

For example, suppose you dial most numbers in an area code in the following format:

(AreaOrCityCode) Prefix-SubscriberNumber,

but three prefixes are dialed in this format:

1 (AreaOrCityCode) Prefix-SubscriberNumber.

First, create an area code rule that applies to all prefixes in the area code and, in that rule under Rules, select only the Include the area code check box. This creates the default rule for the area code. It will apply to all the prefixes that are not specified by the second rule in the list.

Second, create an area code rule that lists the three prefixes that follow the second dialing pattern. In that rule under Rules, select both the Dial check box (confirm that the adjacent text box says 1) and the Include the area code check box. This creates a rule that applies only to the three prefixes and should appear second in the list.

Calling cards

A dial location can use a calling card to specify the sequence of numbers to be dialed for a particular calling card or long distance service. You may also choose to use a calling card to specify a different long distance operator or international operator than the default operator for a country or region.

A calling card records the calling card number and any personal identification number (PIN). It defines the access numbers and dialing steps for local, long distance, and international calls. After you create a new calling card, you can use it with any dial location. To create or use a calling card, see To create a new calling card or To use a calling card for long distance dialing.

If you use two or more long distance services with different access numbers, you can create a calling card for each service and a different dial location to use each calling card. Telephony programs, such as Phone Dialer or Fax, normally permit you to change the dial location before dialing a number. When you dial a number, select the dial location that corresponds to the long distance service that you want to use.

Specify a long distance carrier

The long distance carrier number, also called the long distance operator, is dialed before the area code or country/region code to dial domestic or international long distance calls. The country/region selection for a dial location usually enables programs to dial the correct long distance carrier numbers for domestic and international calls. If your long distance carrier is not accessed with the default numbers for the country/region selection, then see To specify a long distance carrier.


Specify telephony servers on a client computer

Microsoft Windows graphic

To specify telephony servers on a client computer

  1. Open a Command Prompt window.
  2. Type tcmsetup /c server1 server2 ...

Notes

  • XOX
  • You must run the tcmsetup command to specify servers for TAPI clients, as described in this procedure, in order for TAPI to function correctly. For more information about tcmsetup, see Related Topics.
  • The client must be in the same domain as the server or in a fully trusted domain when you run tcmsetup.
  • You must be logged on to the client as an administrator in order to run the tcmsetup command. If you are logged on to a computer in the Users or Power Users group, you can use the runas command to run tcmsetup as an administrator, for example:

    runas /user:mydomain\myname "tcmsetup /c servername"

    For additional information about the runas command, see Related Topics.

  • In the tcmsetup command line, server1 server2 ... represent the names of one or more TAPI servers. The command replaces any previous list, so make sure to list every telephony server you want to make available to the client.
  • You may have to restart the telephony service for this change to take effect. For information about stopping services, see Related Topics.
  • Before client users can dial out using the phone lines on the TAPI server, the TAPI server administrator must assign the users to the phone lines.

Related Topics


Specify H.323 call control options

Microsoft Windows Graphic

To specify H.323 call control options

  1. Open Phone and Modem Options in Control Panel.
  2. On the Advanced tab, in Providers, click Microsoft H.323 Telephony Service Provider, and then click Configure.
  3. Under H.323 call control, in H.323 call alerting timeout, type the amount of time, in milliseconds, an incoming call will ring before it is dropped.
  4. Under H.323 call control, in H.323 call listening port, type the number of the port on which this H.323 client will listen for incoming calls, and then click OK.

Notes

  • XOX
  • To configure H.323 call control settings, you must have Administrator permissions on your computer.


Specify an H.323 gatekeeper

Microsoft Windows Graphic

To specify an H.323 gatekeeper

  1. Open Phone and Modem Options in Control Panel.
  2. On the Advanced tab, in Providers, click Microsoft H.323 Telephony Service Provider, and then click Configure.
  3. Under Calling through a gatekeeper using TAPI 3.1, select the Use H.323 gatekeeper check box, and then type the computer name or IP address (for example, 10.255.255.255) of the gatekeeper that you want to use.
  4. Under Calling through a gatekeeper using TAPI 3.1, register with the gatekeeper by specifying one or both of the following:
    • To use a telephone number, select the Log on using my phone number check box, and then type the telephone number that you want to use.
    • To use an account name, select the Log on using my account name check box, and then type the name of the account you want to use.

Notes

  • XOX
  • An H.323 gatekeeper serves as the central point for all calls within its zone of control. Gatekeepers perform address translation, admissions control, bandwidth control, and zone management functions. In addition, gatekeepers can perform call control, call authorization, bandwidth management, and call management functions.
  • To configure H.323 gatekeeper settings, you must have Administrator permissions on your computer.
  • If you select the Use H.323 gatekeeper check box, any gateway and proxy settings that are specified in the Configure H.323 Service Provider dialog box will not be used.
  • To use an H.323 gatekeeper, you must register with the gatekeeper by specifying a valid telephone number, account name, or both. Registering with a gatekeeper allows you to receive calls at this computer. If you are not sure which telephone number or account name to use to register with the H.323 gatekeeper, contact your telephony administrator or service provider.


Specify an H.323 gateway or proxy

To specify an H.323 gateway or proxy

  1. Open Phone and Modem Options in Control Panel.
  2. On the Advanced tab, in Providers, click Microsoft H.323 Telephony Service Provider, and then click Configure.
  3. In Configure H.323 Service Provider, select one of the following:
    • To specify an H.323 gateway, select the Use H.323 gateway check box, and then type the computer name or IP address for the gateway.
    • To specify an H.323 proxy, select the Use H.323 proxy, and then type the server name or IP address for the proxy.

Notes

  • XOX
  • An H.323 gateway connects the IP network with a switched service network, such as the public switched telephone network (PSTN). Your telephony system administrator can provide the correct name or IP address to enter here.
  • A proxy server acts as a firewall or security barrier between your intranet and the Internet, preventing other people on the Internet from gaining access to confidential information on your internal network or computer. Your telephony system administrator can provide the correct name or IP address to enter here.


Configure a telephony service provider

To configure a telephony service provider

  1. Open Phone and Modem Options in Control Panel.
  2. On the Advanced tab, in Providers, click the telephony service provider that you want to configure.
  3. Click Configure.

Notes

  • XOX
  • The settings you can change depend on the service provider. If Configure is unavailable, then the service provider does not have any settings that you can change.


Specify area code rules

To specify area code rules

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.

    To create a new location, click New.

  3. Click the Area Code Rules tab.
  4. To add a new area code rule, click New.

    To edit an existing rule, click the rule and then click Edit.

  5. In Area code, enter the area or city code.
  6. In Prefixes, select one of the following:
    • To apply the rule to all prefixes in the area code, select the Include all the prefixes within this area code check box.
    • To apply the rule to specific prefixes, select the Include only the prefixes in the list below check box, click Add, enter one or more prefix, and then click OK.
  7. In Rules, select one or both of the following:
    • To dial a number before the phone numbers that contain these prefixes, select the Dial check box, and then type the digits to dial.
    • To dial the area code before the phone number, select the Include the area code check box.

Notes

  • XOX


Use a calling card for long-distance dialing

To use a calling card for long-distance dialing

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.

    To create a new location, click New.

  3. On the Calling Card tab, click the calling card you want to use.

Notes

  • XOX
  • If you use more than one calling card, you can create a different location for each one. Telephony features, such as Phone Dialer or the Send Fax wizard, normally let you change the location before dialing.
  • If you dial digits to access a long distance carrier (a long distance operator), you can use a calling card to specify the dialing sequence. When you create the calling card for a long distance carrier, create a unique location to go with it.
  • See Related Topics for procedures to create calling cards or locations.


Change dialing properties for a location

To change dialing properties for a location

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.
  3. Click a tab to make changes to the General settings, Area Code Rules, or Calling Card for the location.

Notes

  • XOX
  • See Related Topics for more information about locations or changing specific elements of a location.


Create a new location

To create a new location

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click New.
  3. On the General tab, in Location name, type the name of the new location.
  4. Specify the characteristics of your telephone line by providing additional information on the General tab, the Area Code Rules tab, and the Calling Card tab.

Notes

  • XOX
  • See Related Topics for more information about locations or specifying specific elements of a location.


Specify numbers to dial an outside line

To specify numbers to dial an outside line

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.

    To create a new location, click New.

  3. On the General tab, in Dialing rules, enter the numbers required to reach an outside line for local and long-distance calls.

Notes

  • XOX
  • Do not use this procedure to specify the numbers required before dialing to a different city, area, or country/region, such as 1, 0, 00, or 011. The numbers specified here are to dial local or long distance calls from within a private branch exchange (PBX), such as used by a company or other organization. The dialing rules for a location automatically insert the number required to call a number with a different city, area, or country/region code.


Modify an existing calling card

To modify an existing calling card

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.
  3. On the Calling Card tab, click the card type you want to modify, and then click Edit.
  4. Click the General tab to change the calling card name, number, or your personal identification number (PIN).
  5. Click the Long Distance, International, or Local Calls tab to change the access number or dialing steps for the corresponding type of call.

Notes

  • XOX
  • If you add Access Number, PIN, or Account Number to the Calling card dialing steps and the corresponding field is blank, the program will prompt you to enter the missing value when you click OK or Apply.


Specify a long distance carrier

To specify a long distance carrier

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click New.
  3. On the General tab, type a Location name to identify the long distance carrier, and specify the Country/region, Area code, and any Dialing rules.
  4. On the Calling Card tab, click New, and on the General tab, in Calling card name, type a name to identify the calling card, such as the name of the long distance carrier.
  5. On the Long Distance tab and the International tab, in the access number box, type the corresponding long distance operator number.
  6. On the Long Distance tab and the International tab, in Calling card dialing steps, click Access Number and the additional steps for dialing long distance and international calls.
  7. On the Local Calls tab, leave Access number for local calls blank, unless an access number is required, and in Calling card dialing steps, enter the steps for dialing local calls.

    To dial only the local phone number, click Destination Number, and clear the Dial the area code check box.

  8. Click OK to save the new calling card.
  9. On the Calling Card tab, in Card Types, make sure that the new calling card is selected to be used with the location, and then click OK.
  10. Under Locations, leave this location selected if you want this to be the default long distance carrier for telephony programs, and then click OK.

Notes

  • XOX
  • This procedure specifies long distance carrier numbers (also called the long distance operator) required for domestic or international long distance calling. This procedure is not normally required to use the default domestic and international long distance operators for a country/region. The country/region selection for a location normally enables programs to use the default numbers.
  • The location selected on the Dialing Rules tab of Phone and Modem Options is the default location for dialing. If you create more than one location, some telephony programs (such as Phone Dialer), let you choose a different location before dialing.


Create a new calling card

To create a new calling card

  1. Open Phone and Modem Options in Control Panel.
  2. On the Dialing Rules tab, click the location to modify, and then click Edit.

    To create a new location, click New.

  3. On the Calling Card tab, click New.
  4. On the General tab, enter the following:
    Value | Description
    Calling card name | The name you use to identify the card.
    Account number | The account number provided by the calling card company for the calling card. For some calling cards this is the home or business phone number associated with the account.
    Personal Identification Number (PIN) | Any personal number required to secure your account against unauthorized use. Often a four digit number, this is usually dialed after the account number when you place a call. Some calling cards do not use a PIN.
  5. On the Long Distance tab, the International tab, and the Local Calls tab, type the phone number that is required to access the corresponding service. Include all the digits dialed after you access an outside line.
    • On the Long Distance tab, Access number for long distance calls is the phone number required to access the calling card service for domestic long distance calls.
    • On the International tab, Access number for international calls is the phone number required to access the calling card service for international long distance calls.
    • On the Local Calls tab, Access number for local calls is the phone number required to access the calling card service for local calls. Leave this blank to dial local numbers without using the calling card.
  6. On the Long Distance tab, the International tab, and the Local Calls tab, in Calling card dialing steps, click the buttons to add the steps that are required to complete a call.
    Click | To dial
    Access Number | The number to access the calling card company. This will dial the access number entered at the top of the tab.
    Account Number | The account number that identifies your account, which was entered on the General tab.
    PIN | Your personal identification number which was entered on the General tab, usually dialed immediately after the account number.
    Wait for Prompt | Pauses dialing for a dial tone, voice message, or time interval.
    Destination Number | The country/region code, area code, and phone number.
    Specify Digits | Any sequence of the digits 0-9, *, and #.
  7. To reposition any step in the order of calling card dialing steps, click the step and then click Move Up or Move Down.

    To remove the step, click Delete.

Notes

  • XOX
  • If you add Access Number, PIN, or Account Number to the Calling card dialing steps and the corresponding field is blank, the program will prompt you to enter the missing value when you click OK or Apply.


Add a telephony service provider

To add a telephony service provider

  1. Open Phone and Modem Options in Control Panel.
  2. On the Advanced tab, click Add.
  3. In the Add Provider dialog box, under Telephony providers, click the service provider, and then click Add.

    4. If the provider that you want to add does not appear in this list, you must install the appropriate driver files for the provider. For more information, see Notes.

Notes

  • XOX
  • This procedure only adds providers that are already installed on your hard drive in the Systemroot\system32 folder. Use the setup or installation program provided on the manufacturer's disk to install the driver files for a new provider.
  • A manufacturer's setup program normally adds the new provider to the list on the Advanced tab of Phone and Modem Options. If a provider is not listed on the Advanced tab after you run the manufacturer's setup program, use this procedure to add the provider. If it is not listed in the Add Provider dialog box, refer to the manufacturer's documentation for further instructions.